﻿using System.Windows.Forms;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.listBoxControl.Items.Add("Berkeley Gardens\r\n12 Brewery"      );
            this.listBoxControl.Items.Add("Garden House\r\nCrowther Way"        );
            this.listBoxControl.Items.Add("120 Hanover Sq.\r\nFauntleroy Circus");

            this.listBoxControl.MeasureItem += listBoxControl_MeasureItem;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 리스트 박스 컨트롤 항목 측정하기 - listBoxControl_MeasureItem(sender, e)

        /// <summary>
        /// 리스트 박스 컨트롤 항목 측정하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void listBoxControl_MeasureItem(object sender, MeasureItemEventArgs e)
        {
            ListBoxControl listBoxControl = sender as ListBoxControl;

            string itemValue = listBoxControl.Items[e.Index] as string;

            if(itemValue.Contains("\r\n"))
            {
                e.ItemHeight = e.ItemHeight * 2;
            }
        }

        #endregion
    }
}